package cn.stylefeng.team.generator.api.enums;

import lombok.Getter;

@Getter
public enum GeneratorResultFileTypeEnum {

    FOLDER(10, "文件夹"),

    JAVA(20, "java文件"),

    XML(21, "xml文件"),

    SQL(22, "sql文件"),

    VUE(30, "vue文件"),

    JS(31, "js文件"),

    NONE_TYPE(40, "未知文件");

    private final Integer code;

    private final String name;

    GeneratorResultFileTypeEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

}
